"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useEventEmitter = useEventEmitter;

var _react = require("react");

/* istanbul ignore file */
function useEventEmitter(emitter, name, handler) {
  // TODO Publish useEventEmitter to npm
  (0, _react.useDebugValue)(handler);
  (0, _react.useEffect)(() => {
    emitter.on(name, handler);
    return () => emitter.removeListener(name, handler);
  }, [handler, emitter, name]);
}
//# sourceMappingURL=hooks.js.map